# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::DoubleVertexRemover Class Reference

Removes from a Geometry the vertices with the same attributes. More...

`#include <DoubleVertexRemover.hpp>`

Inheritance diagram for vl::DoubleVertexRemover:

List of all members.

## Public Member Functions

| DoubleVertexRemover ()
void | removeDoubles (Geometry *geom)
const std::vector< u32 > & | mapNewToOld () const
const std::vector< u32 > & | mapOldToNew () const

## Protected Attributes

std::vector< u32 > | mMapNewToOld
std::vector< u32 > | mMapOldToNew

## Detailed Description

Removes from a Geometry the vertices with the same attributes.

As a result also all the DrawArrays prensent in the Geometry are substituted with DrawElements.

Definition at line 63 of file DoubleVertexRemover.hpp.

## Constructor & Destructor Documentation

vl::DoubleVertexRemover::DoubleVertexRemover | ( | ) | `[inline]`

Definition at line 68 of file DoubleVertexRemover.hpp.

## Member Function Documentation

void DoubleVertexRemover::removeDoubles | ( | Geometry * | geom ) |

Definition at line 232 of file DoubleVertexRemover.cpp.

References vl::Collection< T >::at(), vl::Collection< T >::clear(), vl::VertexAttribInfo::data(), vl::Log::debug(), vl::Geometry::drawCalls(), vl::Time::elapsed(), vl::ref< T >::get(), vl::IndexIterator::hasNext(), mMapNewToOld, mMapOldToNew, vl::Collection< T >::push_back(), vl::Geometry::regenerateVertices(), vl::Collection< T >::size(), vl::ArrayAbstract::size(), vl::Time::start(), vl::VA_Position, vl::Geometry::vertexArray(), vl::Geometry::vertexAttribArray(), and VL_CHECK.

Referenced by vl::loadMD2(), vl::makeIcosphere(), vl::makeTeapot(), vl::GeometryLoadCallback::operator()(), vl::PolygonSimplifier::simplify(), and vl::TriangleStripGenerator::stripfy().

const std::vector<u32>& vl::DoubleVertexRemover::mapNewToOld | ( | ) | const`[inline]`

Definition at line 70 of file DoubleVertexRemover.hpp.

const std::vector<u32>& vl::DoubleVertexRemover::mapOldToNew | ( | ) | const`[inline]`

Definition at line 71 of file DoubleVertexRemover.hpp.

Referenced by vl::loadMD2().

## Member Data Documentation

std::vector<u32> vl::DoubleVertexRemover::mMapNewToOld`[protected]`

Definition at line 74 of file DoubleVertexRemover.hpp.

Referenced by removeDoubles().

std::vector<u32> vl::DoubleVertexRemover::mMapOldToNew`[protected]`

Definition at line 75 of file DoubleVertexRemover.hpp.

Referenced by removeDoubles().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/DoubleVertexRemover.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/DoubleVertexRemover.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:31.
Permission is granted to use this page to write and publish articles regarding Visualization Library.